import { RETURN_STATUS } from "/@/utils/details/inv-return";
import { FormConfig } from "/@/components/PageSearch";
import { INV_TYPE } from "/@/utils/details/inv-open";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "returnCode",
      type: "input",
      placeholder: "退票编号"
    },
    {
      field: "invNo",
      type: "input",
      placeholder: "发票编号"
    },
    {
      field: "apply_name",
      type: "input",
      placeholder: "申请人"
    },
    {
      field: "status",
      type: "select",
      placeholder: "退票状态",
      options: RETURN_STATUS
    },
    // {
    //   field: "inv_type",
    //   type: "select",
    //   placeholder: "发票类型",
    //   options: INV_TYPE
    // },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "申请开始时间",
        endPlaceholder: "申请结束时间"
      }
    }
  ]
};

export default searchFormConfig;
